Subject: Bug#687022: lintian: regex error in dev-pkg-without-shlib-symlink

From: Niels Thykier <[email-masked]>
Date: Fri, 14 Sep 2012 14:48:06 +0200

On 2012-09-08 16:42, Leo 'costela' Antunes wrote:
> Package: lintian
> Version: 2.5.10.1
> Severity: normal
> Tags: patch
> Hi,

Hi,

> The attached patch fixes two small issues affecting the
> dev-pkg-without-shlib-symlink check:
> 1) a missing '+' in the regex for libtool-style filenames

This appears to be right.

> 2) the order of regex substitutions: the first one would never match since it assumed the second had already been performed.
> 
> Cheers
> 
> [...]

But I am not certain about this part.  I believe it is intentional to do
it in that order based on:

"""
Tag: package-name-doesnt-match-sonames
Severity: normal
Certainty: possible
Info: [...]
 .
  $ [...] sed -r -e's/([0-9])\.so\./\1-/; s/\.so(\.|$)//; [...]
                      ^^^^^^^^^^^^^^^^^     ^^^^^^^^^^
"""

I believe that only one of them are supposed to match.

~Niels